/*
 * Utilisation d'un capteur ultrason
 * Référence du capteur : HR-SR04 ( ) 
 * avec usage de la librairie NewPing (http://)
 */
#include <NewPing.h>
 
#define TRIGGER_PIN  12   // pin 12
#define ECHO_PIN     11   // pin 11
#define MAX_DISTANCE 200  // 2 m de distance maximum
 
NewPing sonar(TRIGGER_PIN, ECHO_PIN, MAX_DISTANCE); // Création du sonar
 
void setup() {
  Serial.begin(9600); // définitiation de la liaison série
}
 
void loop() {
  int distance = (sonar.ping() / US_ROUNDTRIP_CM);
  Serial.print("Distance=");
  Serial.println(distance); // emission de la distance en cm
  delay(50); // 50 ms de délai avant une nouvelle mesure
}
